import { IEvaServiceCallOptions } from '@springtree/eva-sdk-core-service';
import { GetOrderWithStatus, IGetOrderWithStatusRequest } from '../helpers/get-order-with-status.js';
/**
 * Helper method to request a current order update.
 * If no order id is specified in the request and no current order exists
 * this will not create a new order.
 * This action could be used to resume the last known order on application
 * startup by providing an order id in the payload parameter
 *
 * All order modifications are done using the shoppingCart actions
 *
 * @export
 * @param {{
 *     payload: IGetOrderWithStatusRequest,
 *     serviceOptions?: IEvaServiceCallOptions;
 *   }} [params]
 * @returns
 */
export declare function createCurrentOrderUpdateAction(params?: {
    payload: IGetOrderWithStatusRequest;
    serviceOptions?: IEvaServiceCallOptions;
}): import("./request.js").IEvaServiceRequestAction<GetOrderWithStatus, string>;
//# sourceMappingURL=current-order.d.ts.map