import { Action } from 'redux';
/**
 * Consistent shape of custom actions using at least type and payload
 *
 * @export
 * @interface ICustomAction
 * @extends {Action<T>}
 * @template T
 * @template PAYLOAD
 */
export interface ICustomReducerAction<T extends string, PAYLOAD = unknown> extends Action<T> {
    payload: PAYLOAD;
    [extraProps: string]: unknown;
}
//# sourceMappingURL=custom.d.ts.map