import { IEvaServiceDefinition } from '@springtree/eva-services-core';
import { AnyAction } from 'redux';
/**
 * The data payload for an EVA Error Redux action
 *
 * @export
 * @interface IEvaServiceErrorActionPayload
 * @extends {AnyAction}
 * @template SVC
 */
export interface IEvaServiceErrorActionPayload<SVC extends IEvaServiceDefinition> {
    serviceContext: string;
    chainContext: string;
    data: SVC['response'] | Error;
    httpResponse?: number;
    headers?: {
        [name: string]: string;
    };
}
export interface IEvaServiceErrorAction<SVC extends IEvaServiceDefinition, TYPE = string> extends AnyAction {
    type: TYPE;
    payload: IEvaServiceErrorActionPayload<SVC>;
}
//# sourceMappingURL=error.d.ts.map