/**
 * Helper method to create a typed EVA Service response action
 *
 * @export
 * @template SVC
 * @param {ICreateServiceResponseAction<SVC>} params The response action parameters
 * @returns
 */
export function createServiceResponseAction(params) {
    // Determine the state key name either by the service name or the provided
    // custom state key name
    //
    const serviceName = (params.stateOptions && params.stateOptions.stateKey) || new params.service().name;
    // Combine all supplied parameters into the action payload
    //
    const payload = {
        serviceContext: params.serviceContext,
        chainContext: params.chainContext,
        data: params.data,
    };
    // Build the final action object
    //
    const action = {
        payload,
        type: `${serviceName}:RESPONSE`,
    };
    return action;
}
//# sourceMappingURL=response.js.map