/**
 * Helper function to have a promise based timeout you can await
 *
 * @param {number} timeout The amount of time to wait in milliseconds
 * @param {*} [value] The value to resolve with
 * @returns
 */
export const delay = (timeout, value) => {
    return new Promise((resolve) => {
        setTimeout(resolve.bind(null, value), timeout);
    });
};
//# sourceMappingURL=delay.js.map