import { Interceptor, IResponseInterceptor } from '@springtree/eva-sdk-core-service';
import { Store } from 'redux';
/**
 * This interceptor listens to service responses for a 401 status and checks
 * if the current user token needs to be unset because it has expired
 *
 * @export
 * @class UserExpiredInterceptor
 */
export declare class UserExpiredInterceptor extends Interceptor {
    private store;
    private userTokenExpired?;
    /**
     * Creates an instance of the EvaAvailableServices interceptor
     */
    constructor(store: Store, userTokenExpired?: ((userToken: string) => void) | undefined);
    /**
     * The response interceptor implementation.
     * Available as a public property for direct use
     * By returning a fetch Response we will prevent the service call from going out
     *
     * @type {IResponseInterceptor}
     */
    responseInterceptor: IResponseInterceptor;
}
//# sourceMappingURL=user-expired-interceptor.d.ts.map