import { IEvaServiceRequestAction } from '../action/index.js';
import { IEvaReduxStoreShoppingCartShape } from '../state/shopping-cart.js';
import { IEvaReduxStoreDefaultShape } from '../store.js';
import { GetOrderWithStatus } from '../helpers/index.js';
/**
 * Creates all the EVA current order logic
 *
 * @export
 * @template SVC
 * @param {new () => SVC} serviceDefinition The EVA Service registry definition
 * @param {string} [stateKey] Optional state key name if not the same as the service name
 * @returns {Logic<IEvaServiceState<SVC>, any, any, any, any, string>}
 */
export declare function createCurrentOrderLogic<SHAPE extends IEvaReduxStoreDefaultShape>(): (import("redux-logic").Logic<IEvaReduxStoreDefaultShape, IEvaServiceRequestAction<GetOrderWithStatus, string>, object, object, object, string> | import("redux-logic").Logic<SHAPE, IEvaReduxStoreShoppingCartShape, object, object, object, string>)[];
//# sourceMappingURL=current-order.d.ts.map