import { Core } from '@springtree/eva-services-core';
import { IEvaReduxStoreCurrentUserShape } from '../state/index.js';
/**
 * Creates all the EVA current user logic
 *
 * @export
 * @template SVC
 * @param {new () => SVC} serviceDefinition The EVA Service registry definition
 * @param {string} [stateKey] Optional state key name if not the same as the service name
 * @returns {Logic<IEvaServiceState<SVC>, object, object, object, any, string>}
 */
export declare function createCurrentUserLogic<SHAPE extends IEvaReduxStoreCurrentUserShape>(): (import("redux-logic/definitions/utilities.js").Override<import("redux-logic/definitions/logic.js").CreateLogic.Config.Base<import("../store.js").IEvaReduxStoreDefaultShape, import("redux-logic").Action<string, import("../action/request.js").IEvaServiceRequestAction<Core.Login, string>, object>, string> & import("redux-logic/definitions/logic.js").CreateLogic.Config.Validate<import("../store.js").IEvaReduxStoreDefaultShape, import("redux-logic").Action<string, import("../action/request.js").IEvaServiceRequestAction<Core.Login, string>, object>, object, object> & import("redux-logic/definitions/logic.js").CreateLogic.Config.Process<import("../store.js").IEvaReduxStoreDefaultShape, import("redux-logic").Action<string, import("../action/request.js").IEvaServiceRequestAction<Core.Login, string>, object>, object, object>, {
    name: string;
    type: string;
    cancelType: string;
}> | import("redux-logic/definitions/utilities.js").Override<import("redux-logic/definitions/logic.js").CreateLogic.Config.Base<import("../store.js").IEvaReduxStoreDefaultShape, import("redux-logic").Action<string, import("../action/request.js").IEvaServiceRequestAction<Core.Login, string>, object>, string> & import("redux-logic/definitions/logic.js").CreateLogic.Config.Transform<import("../store.js").IEvaReduxStoreDefaultShape, import("redux-logic").Action<string, import("../action/request.js").IEvaServiceRequestAction<Core.Login, string>, object>, object, object> & import("redux-logic/definitions/logic.js").CreateLogic.Config.Process<import("../store.js").IEvaReduxStoreDefaultShape, import("redux-logic").Action<string, import("../action/request.js").IEvaServiceRequestAction<Core.Login, string>, object>, object, object>, {
    name: string;
    type: string;
    cancelType: string;
}> | import("redux-logic/definitions/utilities.js").Override<import("redux-logic/definitions/logic.js").CreateLogic.Config.Base<import("../store.js").IEvaReduxStoreDefaultShape, import("redux-logic").Action<string, import("../action/request.js").IEvaServiceRequestAction<Core.Logout, string>, object>, string> & import("redux-logic/definitions/logic.js").CreateLogic.Config.Validate<import("../store.js").IEvaReduxStoreDefaultShape, import("redux-logic").Action<string, import("../action/request.js").IEvaServiceRequestAction<Core.Logout, string>, object>, object, object> & import("redux-logic/definitions/logic.js").CreateLogic.Config.Process<import("../store.js").IEvaReduxStoreDefaultShape, import("redux-logic").Action<string, import("../action/request.js").IEvaServiceRequestAction<Core.Logout, string>, object>, object, object>, {
    name: string;
    type: string;
    cancelType: string;
}> | import("redux-logic/definitions/utilities.js").Override<import("redux-logic/definitions/logic.js").CreateLogic.Config.Base<import("../store.js").IEvaReduxStoreDefaultShape, import("redux-logic").Action<string, import("../action/request.js").IEvaServiceRequestAction<Core.Logout, string>, object>, string> & import("redux-logic/definitions/logic.js").CreateLogic.Config.Transform<import("../store.js").IEvaReduxStoreDefaultShape, import("redux-logic").Action<string, import("../action/request.js").IEvaServiceRequestAction<Core.Logout, string>, object>, object, object> & import("redux-logic/definitions/logic.js").CreateLogic.Config.Process<import("../store.js").IEvaReduxStoreDefaultShape, import("redux-logic").Action<string, import("../action/request.js").IEvaServiceRequestAction<Core.Logout, string>, object>, object, object>, {
    name: string;
    type: string;
    cancelType: string;
}> | import("redux-logic/definitions/utilities.js").Override<import("redux-logic/definitions/logic.js").CreateLogic.Config.Base<import("../store.js").IEvaReduxStoreDefaultShape, import("redux-logic").Action<string, import("../action/request.js").IEvaServiceRequestAction<Core.CreateCustomer, string>, object>, string> & import("redux-logic/definitions/logic.js").CreateLogic.Config.Validate<import("../store.js").IEvaReduxStoreDefaultShape, import("redux-logic").Action<string, import("../action/request.js").IEvaServiceRequestAction<Core.CreateCustomer, string>, object>, object, object> & import("redux-logic/definitions/logic.js").CreateLogic.Config.Process<import("../store.js").IEvaReduxStoreDefaultShape, import("redux-logic").Action<string, import("../action/request.js").IEvaServiceRequestAction<Core.CreateCustomer, string>, object>, object, object>, {
    name: string;
    type: string;
    cancelType: string;
}> | import("redux-logic/definitions/utilities.js").Override<import("redux-logic/definitions/logic.js").CreateLogic.Config.Base<import("../store.js").IEvaReduxStoreDefaultShape, import("redux-logic").Action<string, import("../action/request.js").IEvaServiceRequestAction<Core.CreateCustomer, string>, object>, string> & import("redux-logic/definitions/logic.js").CreateLogic.Config.Transform<import("../store.js").IEvaReduxStoreDefaultShape, import("redux-logic").Action<string, import("../action/request.js").IEvaServiceRequestAction<Core.CreateCustomer, string>, object>, object, object> & import("redux-logic/definitions/logic.js").CreateLogic.Config.Process<import("../store.js").IEvaReduxStoreDefaultShape, import("redux-logic").Action<string, import("../action/request.js").IEvaServiceRequestAction<Core.CreateCustomer, string>, object>, object, object>, {
    name: string;
    type: string;
    cancelType: string;
}> | import("redux-logic/definitions/utilities.js").Override<import("redux-logic/definitions/logic.js").CreateLogic.Config.Base<SHAPE, import("redux-logic").Action<string, IEvaReduxStoreCurrentUserShape, object>, string> & import("redux-logic/definitions/logic.js").CreateLogic.Config.Validate<SHAPE, import("redux-logic").Action<string, IEvaReduxStoreCurrentUserShape, object>, object, object> & import("redux-logic/definitions/logic.js").CreateLogic.Config.Process<SHAPE, import("redux-logic").Action<string, IEvaReduxStoreCurrentUserShape, object>, object, object>, {
    name: string;
    type: string;
    cancelType: string;
}> | import("redux-logic/definitions/utilities.js").Override<import("redux-logic/definitions/logic.js").CreateLogic.Config.Base<SHAPE, import("redux-logic").Action<string, IEvaReduxStoreCurrentUserShape, object>, string> & import("redux-logic/definitions/logic.js").CreateLogic.Config.Transform<SHAPE, import("redux-logic").Action<string, IEvaReduxStoreCurrentUserShape, object>, object, object> & import("redux-logic/definitions/logic.js").CreateLogic.Config.Process<SHAPE, import("redux-logic").Action<string, IEvaReduxStoreCurrentUserShape, object>, object, object>, {
    name: string;
    type: string;
    cancelType: string;
}>)[];
//# sourceMappingURL=current-user.d.ts.map