import { IEvaServiceDefinition } from '@springtree/eva-services-core';
import { IEvaReduxStoreDefaultShape } from '../store.js';
import { IEvaServiceRequestAction, IStateOptions } from '../action/index.js';
/**
 * Factory method for generic EVA service logic
 *
 * @export
 * @template SVC
 * @param {new () => SVC} serviceDefinition The EVA Service registry definition
 * @param {string} [stateKey] Optional state key name if not the same as the service name
 * @returns {Logic<IEvaServiceState<SVC>, any, any, any, any, string>}
 */
export declare function createServiceRequestLogic<SHAPE extends IEvaReduxStoreDefaultShape, SVC extends IEvaServiceDefinition>(serviceDefinition: new () => SVC, stateOptions?: IStateOptions): import("redux-logic").Logic<SHAPE, IEvaServiceRequestAction<SVC, string>, object, object, object, string>[];
//# sourceMappingURL=request.d.ts.map