import { IEvaServiceRequestAction } from '../action/index.js';
import { GetShoppingCartWithStatus } from '../helpers/get-shopping-cart-with-status.js';
import { IEvaReduxStoreShoppingCartShape } from '../state/shopping-cart.js';
import { IEvaReduxStoreDefaultShape } from '../store.js';
/**
 * Creates all the EVA shopping cart logic
 *
 * @export
 * @template SVC
 * @param {new () => SVC} serviceDefinition The EVA Service registry definition
 * @param {string} [stateKey] Optional state key name if not the same as the service name
 * @returns {Logic<IEvaServiceState<SVC>, any, any, any, any, string>}
 */
export declare function createShoppingCartLogic<SHAPE extends IEvaReduxStoreDefaultShape>(): (import("redux-logic").Logic<IEvaReduxStoreDefaultShape, IEvaServiceRequestAction<GetShoppingCartWithStatus, string>, object, object, object, string> | import("redux-logic").Logic<SHAPE, IEvaReduxStoreShoppingCartShape, object, object, object, string>)[];
//# sourceMappingURL=shopping-cart.d.ts.map