import { Reducer, ReducersMapObject } from 'redux';
import { TEvaCurrentUserActions } from '../action/index.js';
import { IEvaReduxStoreCurrentUserShape, IEvaCurrentUserStatus } from '../state/index.js';
/**
 * Creates a reducer to update the current user token
 *
 * @export
 * @returns {Reducer<string, IEvaCurrentUserTokenAction>}
 */
export declare function createEvaCurrentUserTokenReducer(): Reducer<string, TEvaCurrentUserActions>;
/**
 * Creates a reducer to update the current application token
 *
 * @export
 * @returns {Reducer<string, IEvaAppTokenAction>}
 */
export declare function createEvaApplicationTokenReducer(): Reducer<string, TEvaCurrentUserActions>;
/**
 * Create the reducer to extract the user status from the GetCurrentUser response
 *
 * @export
 * @returns {Reducer<IEvaCurrentUserStatus, TEvaCurrentUserActions>}
 */
export declare function createEvaCurrentUserStatusReducer(): Reducer<IEvaCurrentUserStatus | undefined, TEvaCurrentUserActions>;
export declare const currentUserReducers: ReducersMapObject<IEvaReduxStoreCurrentUserShape, TEvaCurrentUserActions>;
//# sourceMappingURL=current-user.d.ts.map