/**
 * The entries for the EVA Redux store shape
 *
 * @export
 * @interface IEvaReduxStoreEndpointShape
 */
export interface IEvaReduxStoreEndpointShape {
    /**
     * If set this endpoint will be used by default for service calls on this store
     * Setting it is the easiest and recommended way of choosing an endpoint.
     * Best practice is to create a store per endpoint.
     * If you do not set this or do not provide an endpoint in an action errors
     * will be thrown
     * Empty string is the default value and value when not set
     *
     * @type {string}
     */
    endpointUrl: string;
}
//# sourceMappingURL=endpoint.d.ts.map