import { ServiceHelpers } from '../eva-sdk-redux-store-builder.js';
import { IEvaServiceState } from './service.js';
/**
 * The entries for the shopping cart state
 *
 * @export
 * @interface IEvaReduxStoreShoppingCartShape
 */
export interface IEvaReduxStoreShoppingCartShape {
    /**
     * The state is based on the cart with status service helper.
     * It will represent the current cart in an eCommerce application
     * for an anonymous or logged in user. The cart is effectively an order that
     * will be taken through a checkout flow to become a fulfilled order.
     *
     * @type {IEvaServiceState<ServiceHelpers.GetShoppingCartWithStatus>}
     */
    shoppingCart: IEvaServiceState<ServiceHelpers.GetShoppingCartWithStatus>;
}
//# sourceMappingURL=shopping-cart.d.ts.map