import { BehaviorSubject } from 'rxjs';
/**
 * Creates an RxJs observable stream for a Redux store
 *
 * @export
 * @template SHAPE
 * @param {Store<SHAPE, any>} store The store to create the observable for
 * @returns BehaviorSubject<SHAPE>
 */
export function createStoreObservable(store) {
    const store$ = new BehaviorSubject(store.getState());
    store.subscribe(() => {
        store && store$.next(store.getState());
    });
    return store$;
}
//# sourceMappingURL=store-observable.js.map